Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3699 - SRPM can't be rebuilt as non-root
Summary: SRPM can't be rebuilt as non-root
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL: ftp://ftp.kempf.com/pub/redhat/redhat...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-24 07:47 UTC by kenneth_porter
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 16:46:32 UTC


Attachments (Terms of Use)

Description kenneth_porter 1999-06-24 07:47:32 UTC
The install phase of the build executes the
command "make DESTDIR=$RPM_BUILD_ROOT
install -C src/$OBJDIR". This attempts to
set owner and group on a file in the
RPM_BUILD_ROOT, which is not permitted for
an ordinary user. Setting owner and group
should be done by an %attr directive in the
files list.

I would prefer to build SRPMS without root
privilege, as I don't want to kill my
production system with a bug in a spec file.

I would suggest that all Red Hat SRPMS be
test-built by a lowly user to verify that
root privilige is not needed.

Comment 1 kenneth_porter 1999-06-29 02:26:59 UTC
This bug was originally submitted with the
component set to "sendmail", as the
sendmail-8.9.3-10.src.rpm package was the one where
the problem was observed.This bug was originally submitted with the
component set to "sendmail", as the
sendmail-8.9.3-10.src.rpm package was the one where
the problem was observed.

Comment 2 Bill Nottingham 1999-08-31 16:46:59 UTC
fixed in sendmail-8.9.3-13, in the next Raw Hide release.


Note You need to log in before you can comment on or make changes to this bug.